%define upstream_name flexmock
%define name  ruby-%{upstream_name}

%define version 0.8.6
%define release %mkrel 2

Summary: Simple mock object for unit testing
Name: %name
Version: %version
Release: %release
License: BSD-like
Group: Development/Ruby
URL: http://flexmock.rubyforge.org/
Source0: http://rubyforge.org/frs/download.php/55056/%{upstream_name}-%{version}.tgz
BuildRequires: ruby-RubyGems ruby-rake ruby-rcov
Requires: ruby
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}

%description
FlexMock is a simple mock object for unit testing. The interface is simple,
but still provides a good bit of flexibility.

%prep
%setup -q -n %upstream_name-%version

%build

%check
rake test

%clean
rm -rf %buildroot

%install
rm -rf %buildroot
mkdir -p %buildroot%ruby_sitelibdir
cp -a lib/flexmock* %buildroot%ruby_sitelibdir
for f in `find test %buildroot -name \*.rb`
do
	if head -n1 "$f" | grep '^#!' >/dev/null;
	then
		sed -i 's|/usr/local/bin|/usr/bin|' "$f"
		chmod 0755 "$f"
	else
		chmod 0644 "$f"
	fi
done

%files
%defattr(-,root,root)
%{ruby_sitelibdir}/flexmock*
%doc README test


%changelog
* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 0.8.6-2mdv2011.0
+ Revision: 614741
- the mass rebuild of 2010.1 packages

* Sun Apr 04 2010 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.6-1mdv2010.1
+ Revision: 531383
- new version

* Tue Sep 08 2009 Thierry Vignaud <tv@mandriva.org> 0.8.3-2mdv2010.0
+ Revision: 433500
- rebuild

* Thu Sep 04 2008 Jérôme Soyer <saispo@mandriva.org> 0.8.3-1mdv2009.0
+ Revision: 280643
- New release

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 0.6.0-5mdv2009.0
+ Revision: 260406
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tv@mandriva.org> 0.6.0-4mdv2009.0
+ Revision: 251664
- rebuild

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.6.0-2mdv2008.1
+ Revision: 140753
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.6.0-2mdv2008.0
+ Revision: 16868
- Ship missing files

* Sun Apr 22 2007 Pascal Terjan <pterjan@mandriva.org> 0.6.0-1mdv2008.0
+ Revision: 16756
- Buildrequires ruby-rcov
- 0.6.0
- Use Development/Ruby group
- Use std macros


* Thu Feb 09 2006 Pascal Terjan <pterjan@mandriva.org> 0.1.7-2mdk
- BuildRequires ruby-rake

* Mon Feb 06 2006 Pascal Terjan <pterjan@mandriva.org> 0.1.7-1mdk
- 0.1.7
- use gem
- mkrel
- fix perms

* Fri Jul 01 2005 Pascal Terjan <pterjan@mandriva.org> 0.0.3-1mdk
- first release

